<!DOCTYPE html>
<html lang="en" xmlns:th="http//thymeleaf.org" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Register new User</title>
</head>
<body>
<form th:method="POST" th:action="@{/register}" th:object="${user}">
    <label for="name">Login</label>
    <input type="text" th:field="*{name}" id="name" placeholder="Write your name">
    <p th:if="${#fields.hasErrors('name')}" th:errors="*{name}" /></p>
    <label for="password">Password</label>
    <input type="text" th:field="*{password}" id="password" placeholder="Write your password">
    <p th:if="${#fields.hasErrors('password')}" th:errors="*{password}" /></p>

    <label for="email">Email</label>
    <input type="text" th:field="*{email}" id="email" placeholder="Write your email">
    <p th:if="${#fields.hasErrors('email')}" th:errors="*{email}" /></p>
<br>
    <input type="submit" value="Register"/>
    </form>
</body>
</html>